#!/usr/bin/perl -X
################################
# SPEICHERHOSTING Guestbook                   Version 1.0                     #
# Copyright SPEICHERHOSTING 2002           gaestescript@speicherhosting.com   #
# http://www.ani-aik.de/                                                      #
# This Perl Script is written only in German.                                 #
#########------------------------------------------------------------##########
# COPYRIGHT ANMERKUNG                                                         #
# Copyright 2002 SPEICHERHOSTING  All Rights Reserved.                        #
#                                                                             #
# Das SPEICHERHOSTING Guestbook kann kann von jedem frei benuzt und modifiziert#
# werden. Bei Benutzung dieses Scripts sollten diese Copyright Informationen  #
# unbedingt beibehalten werden. Der Verkauf oder Wiederverkauf dieses         #
# Source Codes ist strengstens untersagt.                                     #
#                                                                             #
# Bei erstmaliger Benutzung bitte ich Sie eine kleine Informations eMail      #
# an meine oben genannte Adresse zu schicken, damit ich mir einen &Uuml;berblick   #
# &uuml;ber die Verbreitung dieses Programms bilden kann.                          #
#########------------------------------------------------------------##########
# ANLEITUNG                                                                   #
#                                                                             #
# Zur korreckten Installation des SPEICHERHOSTING Guestbooks muss nur das     #
# guestbook.cgi installiert werden, und die Zugriffsrechte auf chmod 755      #
# gesetzt werden.                                                             #
# Normaler Weise brauchen Sie nur die anschliesend genannten Variablen zu     #
# &auml;ndern, und Ihren W&uuml;nschen anpassen. Nur erfahrene Nutzer sollten im        #
# unteren Programmbereich den Source Code, wenn es erw&uuml;nscht ist, &auml;ndern.     #
#                                                                             #
#                                                                             #
# Viel Spass w&uuml;nscht Ihnen das SPEICHERHOSTING-Team                           #
###############################################################################

###############################################################################
###################---------- Variablen zum &auml;ndern ----------##################
###############################################################################



######## *** Allgemeine Programm Konfiguration *** ########
#---------------------------------------------------------#
# Hier sollte man die Verschiedenen Pfade und Programmvariablen
# anpassen.
#############################

# Benutzername zum Eintr&auml;ge l&ouml;schen und Kommentare verfassen
$user_name	= "web367";

# Userpasswort zum Eintr&auml;ge l&ouml;schen und Kommentare verfassen
$user_pwd	= "rotesmeer";

# Hier kann man den Namen des G&auml;stebuchscripts eintragen.
# Einige Provider laasen nur Scripte mit bestimmten Endungen zu,
# welche man hier &auml;ndern kann.
$scriptname = "stuvwts.cgi";

# Trage hier den Namen der Log Datei ein, in der alle Beitr&auml;ge
# gespeichert werden sollen. Diese Datei wird automatisch erstellt.
# Sollte sie nicht erstellt werden, dann pr&uuml;fe bitte ob das
# Verzeichnis, in welchen sich das Script befindet auch die Rechte
# zum ausf&uuml;hren hat (chmod)
$data_log	= "guestlog.log";

# Sendmail-Programm zu erfragen beim Provider (nur unter Unix)
$mailprog	= '/usr/sbin/sendmail_unsafe -t -i -f otto@heimatkreis-stargard.de';

# Deine eMail Adresse # Den \ vor dem @ nicht vergessen
$send		= "dietrichotto\@arcor.de";

# URL zum Image Verzeichniss
$url_image  = "http://www.heimatkreis-stargard.de/gb/image";

# URL zum G&auml;stebuch
$url_guestbook = "http://www.heimatkreis-stargard.de/cgi-bin/stuv3wts.cgi";

# Normale Text Smilies :-) durch Grafiken ersetzen	# 1=ja # 0=nein
$smile_ers	= "1";

# Einstellung der Zeitverschiebung. Wenn der Server in einer anderen
# Zeitzone steht (zB. London) kann man hier die Differnenz in + oder
# - zu unserer Zeit angeben.
$tzone = "+0";

# Wenn transparente Logos nicht zu Hintergrund passen
# (bei dunklen HG) Bitte eine 0 eingeben, sonst eine 1
$logo_tr	= "1";

# Soll HTML erlaubt sein # 1=ja # 0=nein
# Bei nein werden alle html-Tags rausgefiltert
$html_on	= "1";

# Name f&uuml;r den Link zur&uuml;ck # Wenn kein Link angezeigt werden soll, bitte leer lasen
$link_name	= "Zur&uuml;ck zur Homepage";

# URL f&uuml;r Link zur&uuml;ck zur Homepage
$link_hp	= "http://www.heimatkreis-stargard.de";

# Uhrzeit des Postings mit ausgeben # 1=ja # 0=nein
$ausg_time	= "1";

# Link zur Ip Adresse ausgeben # 1=ja # 0=nein
$ausg_ip	= "1";

# Kommentare zulassen # 1=ja # 0=nein
$ausg_com	= "1";

# Wollen Sie eine eMail bei jedem Eintrag erhalten # 1=ja # 0=nein
$back_email	= "0";

# Soll der Benutzer auch eine eMail bekommen # 1=ja # 0=nein
$usr_mail	= "0";

# Wollen Sie eine eMail bekommen wenn einer vergeblich versucht Beitr&auml;ge zu l&ouml;schen # 1=ja # 0=nein
$mail_badus = "1";

# Soll der Verfasser eines Beitrages, auf den ein Kommentar erschienen ist diesen
# als eMail bekommen? # 1=ja # 0=nein
$send_antwort_com = "0";

# Begrenzt die max. Buchstabenzahl einen Wortes, um vor Spamming zu sch&uuml;tzen
# Wieviel Buchstaben darf ein Wort max haben. Ist diese Funktion nicht erw&uuml;ncht,
# einfach eine 0 eintragen.
$wort_begrenzung = "30";

# Eintr&auml;ge auf b&ouml;se W&ouml;ter &uuml;berpr&uuml;fen und ggf l&ouml;schen # 1=ja # 0=nein
$bad_word	= "0";
@bad_word_list = ('Wenn', 'Liste', 'erw&uuml;nscht', 'bitte', 'hier', 'die', 'W&ouml;rter', 'eingeben', 'die', 'gefiltert', 'werden', 'sollen');



########### *** Pflichtfelder und Kommentare *** ##########
#---------------------------------------------------------#
# Hier kann man einstellen welche Eingabefelder unbedingt vom User gemacht
# werden sollen. Eine 0 bedeutet, dass das Feld keine Pflicht ist aber man
# es trotzdem ausf&uuml;llen kann. Bei einer 1 muus das entsprechende Feld
# ausgefuellt werden.
#############################

######### Pflichtfelder im Beitragsformular # 1=ja # 0=nein

# Name
$pflicht_name = 1;

# URL zur Homepage
$pflicht_url = 0;

# eMail Adresse
$pflicht_mail = 0;

# Beitagsfeld
$pflicht_beitrag = 1;

######### Kommentare

# Darf jeder einen Kommentar zu einem Beitrag verfassen, oder
# nur der Admin. Falls nur der Admin Kommentare verfassen darf
# werden das Passwort und der Name abgefragt. # 1=alle # 0=nur Admin
$open_com = 1;

# Pflichtfelder im Kommentarformular # 1=ja # 0=nein

# Name
$pflicht_com_name = 1;

# eMail Adresse
$pflicht_com_mail = 1;

# Kommentar
$pflicht_com_com = 1;


###########################################################
###########################################################
read(STDIN, $input, $ENV{'CONTENT_LENGTH'});

	@pairs = split(/&/, $input);
	foreach $pair (@pairs) {
	($name, $value) = split(/=/, $pair);

	$name =~ tr/+/ /;
	$name =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
	$value =~ tr/+/ /;
	$value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;

	$FORM{$name} = $value;
	}

print "Content-type: text/html\n\n";
###########################################################
###########################################################

################### *** eMail Ausgabe *** #################
#---------------------------------------------------------#
# Hier kann man den Text zu den eMails eintragen. Falls der User
# eine Antwort und der Webmaster eine Info Mail erhalten will,
# kann man die verschiedenen Texte hier eintragen.
# $FORM{'name'} ist der Name des Users, falls er einen angegeben hat.
# Es kann alles zwischen den Beiden Hochkommas ("") ge&auml;ndert werden.
# Achte aber darauf, dass du keine falschen Variablen einf&uuml;gst und
# die Hochkommas l&ouml;schst.
#############################
&date;
########## Antwortmail an den User
$mail_antwort_user =
"Hallo $FORM{'name'}!

Das ist nur eine kleine Dankesch&ouml;n eMail f&uuml;r Ihren
Eintrag in mein G&auml;stebuch.

Ich w&uuml;rde mich auch freuen, wenn Sie bald
wieder auf meiner Homepage vorbeischauen.

Mit freundlichen Gr&uuml;ssen.";

########## Info Mail an den Webmaster
$mail_info_webmaster =
"Hallo,

$FORM{'name'} hat einen
neuen Beitrag in das G&auml;stebuch eingef&uuml;gt.
Datum  : $gen_date  $time
Beitrag:
$FORM{'nachricht'}

mailto:$FORM{'email'}
----------
Vielen Dank, das Sie dieses G&auml;stebuch benutzen.
http://127.0.0.1/\n\nEmpfehlen Sie es weiter.";



############# *** Einstellungen zum Design *** ############
#---------------------------------------------------------#
# Hier kann man einige Eistellungen zum aussehen der Seite machen.
# Die verschieden Links und Schriftarten k&ouml;nnen hier eingestellt werden.
#############################

$headline	= "G&auml;stebuch Heimatkreis Stargard";			# &Uuml;berschrift der Webseite
$titel		= " G&auml;stebuch Heimatkreis Stargard";			# Titel der html Seite
$background         = "http://ihre-domain.xx/hintergrund.jpg";                            # Hintergrundfarbe
$bgcolor  	= "#FFFF99";                                                      # Hintergrundfarbe
$t_bord_c	= "#000000";				# Farbe vom Tabellenrand
$t_kopf_c	= "#AAAAAA";				# Tabellenkopf Farbe
$t_body_c	= "#FFFFFF";				# Tabellen Body Farbe
$t_width	= "80%";				# Tabellenbreite (kann auch Pixel statt Prozent sein)

$link_c		= "#0000FF";				# Linkfarbe
$link_a_c	= "#FF0000";				# Farbe von besuchten Links

$hl_c		= "#000000";				# Farbe der &Uuml;berschrift
$hl_f		= "Times New Roman, Calisto MT,Arial,Helvetica";		# Schrifart der &Uuml;berschrift

$font_c		= "#000000";				# Schrift Farbe Allgemein
$font_f		= "Arial,Helvetica";			# Schriftart Allgemein
$font_s		= "2";					# Schriftgr&ouml;&szlig;e Allgemein

$h_font_c	= "#000000";				# Schrift Farbe im Tabellenkopf (von IP und Homepage)
$h_font_f	= "Verdana,Arial,Helvetica";		# Schriftart Tabellenkopf
$h_font_s	= "1";					# Schriftgr&ouml;&szlig;e Tabellenkopf

$l_font_c	= "#555555";				# Schrift Farbe von "L&ouml;schen und Kommentieren"
$l_font_f	= "Verdana,Arial,Helvetica";		# Schriftart "L&ouml;schen und Kommentieren"
$l_font_s	= "1";					# Schriftgr&ouml;&szlig;e von "L&ouml;schen und Kommentieren"

$index_unten = "1";					# Soll die Seiten&uuml;bersicht unter den beitr&auml;gen auch angezeigt werden # 1=ja # 0=nein

$eing_oben	= "1";					# Soll der Eintag hinzuf&uuml;gen Link auch oben stehen # 1=ja # 0=nein


###############################################################################
############--------- Ab hier bitte nichts mehr &auml;ndern ----------##############
###############################################################################
print "<BACKGROUND=\"$background\">";

unless ($ENV{'QUERY_STRING'}) {$ENV{'QUERY_STRING'} = "seite=1&anzeigen=10";}
if ($FORM{'action'} eq "action") {&print_data;}
if ($FORM{'action'} eq "comment") {&print_com;}
if ($FORM{'action'} eq "comment_loeschen") {&comment_loeschen;}
if ($FORM{'action'} eq "beitrag_loeschen") {&beitrag_loeschen;}
if ($FORM{'action'} eq "kommentieren") {&send_com;}


$exp = $ENV{'QUERY_STRING'};
($string1, $string2, $string3) = split(/&/, $exp);

($string_typ1, $string_wert1) = split(/=/, $string1);
($string_typ2, $string_wert2) = split(/=/, $string2);
($string_typ3, $string_wert3) = split(/=/, $string3);

if ($FORM{'anzahl'}) {$anzahl = $FORM{'anzahl'};}
else {$anzahl = $string_wert2;}

if ($string_typ1 eq "comment") {&send_com;}
if ($string_typ1 eq "seite") {&anzeigen;}

if ($string_typ1 eq "action") {
	if ($string_wert1 eq "loeschen_comment") {&send_comment_loeschen;}
	if ($string_wert1 eq "loeschen_beitrag") {&send_comment_loeschen;}
	if ($string_wert1 eq "ip_anzeigen") {&ip_anzeigen;}
	if ($string_wert1 eq "eintrag") {&send_beitrag;}
}



sub anzeigen {
	open(FILE, "$data_log");
	$i = 0;
	while(<FILE>) {$i++;}
	close(FILE);

	if ($FORM{'anzahl'} eq "alle") {$anzahl = $i - 1;}

	$k	= $i - 1;
	$k2 = $k % $anzahl;
	$k3 = $k / $anzahl;
	$anzeigen =  $anzahl * $string_wert1 + 1;

	open(FILE, "$data_log");
	@FILE = <FILE>;
	close(FILE);
	&top;

print "<BACKGROUND=\"$background\">";

	$smile_1 = "<img src=\"$image/s02.gif\" border=0>";
	$smile_2 = "<img src=\"$image/s03.gif\" border=0>";
	$smile_3 = "<img src=\"$image/s06.gif\" border=0>";
	$smile_4 = "<img src=\"$image/s09.gif\" border=0>";
	$smile_5 = "<img src=\"$image/s13.gif\" border=0>";
	$smile_6 = "<img src=\"$image/s12.gif\" border=0>";
	$smile_7 = "<img src=\"$image/s01.gif\" border=0>";
	$smile_8 = "<img src=\"$image/s05.gif\" border=0>";

	$smile_11 = "<img src=\"$image/s18.gif\" border=0>";
	$smile_12 = "<img src=\"$image/s17.gif\" border=0>";
	$smile_13 = "<img src=\"$image/s20.gif\" border=0>";

print "<BACKGROUND=\"$background\">";

	print "<br><br><font face=\"$hl_f\" size=\"4\" color=\"$hl_c\"><b>$headline</font></b><br><table border=0 cellspacing=0 cellpadding=0 width=\"$t_width\">\n<tr>\n";
	if ($eing_oben == 1) {
		print "<td align=left><font face=\"$font_f\" size=\"$font_s\">\n<b><a href=\"$scriptname?action=eintrag&x=x&x=x\">Eintrag hinzuf&uuml;gen</a></b></font></td>";
print "<BACKGROUND=\"$background\">";


}
	print "<td><div align=right>";
	print "<font face=\"$font_f\" size=\"$font_s\">Seite ";
	$var = 0;
	while ($var < $k3) {
		$var++;
		if ($var != $string_wert1) {print "<a href=\"$scriptname?seite=$var&anzahl=$anzahl\">$var</a> ";}
		else {print "$var ";}
print "<BACKGROUND=\"$background\">";

}
	print "</font>";
	print "\n\n";
	print "<form action=\"$scriptname?seite=1\" method=post>\n<font face=\"$font_f\" size=\"$font_s\"><select name=\"anzahl\" size=1>\n";
	print "<option value=\"$anzahl\">Beitr&auml;ge anzeigen\n";
	print "<option value=\"5\">5 Beitr&auml;ge\n";
	print "<option value=\"10\">10 Beitr&auml;ge\n";
	print "<option value=\"15\">15 Beitr&auml;ge\n";
	print "<option value=\"20\">20 Beitr&auml;ge\n";
	print "<option value=\"25\">25 Beitr&auml;ge\n";
	print "<option value=\"30\">30 Beitr&auml;ge\n";
	print "<option value=\"35\">35 Beitr&auml;ge\n";
	print "<option value=\"40\">40 Beitr&auml;ge\n";
	print "<option value=\"45\">45 Beitr&auml;ge\n";
	print "<option value=\"50\">50 Beitr&auml;ge\n";
	print "<option value=\"alle\">alle Beitr&auml;ge\n";
	print "</select>\n<input type=submit value=\"Go\"></form></font>\n";
	print "</div></td>\n</tr>\n</table>\n";
print "<BACKGROUND=\"$background\">";

	$zeile = $string_wert1 * $anzahl - $anzahl + 1;

	while ($zeile < $anzeigen) {

		if ($FILE[$zeile]) {

		($num, $name, $email, $url, $nachricht, $gif, $date, $ip, $com_anzahl, $comments) = split(/&&/, $FILE[$zeile]);

		if ($bad_word == 1) {
			foreach $badwort (@bad_word_list) {$nachricht =~ s/$badwort/***/gi;}
		}

		if ($html_on == 0) {
			$nachricht =~ s/\Q<br>\E/#zeum#/g;
			$nachricht =~ s/<([^>]|\n)*>//g;
			$nachricht =~ s/\Q#zeum#\E/<br>/g;
			}

		if ($wort_begrenzung != 0) {
			unless ($nachricht =~ m!http|img|href|htm|pl|cgi!g) {
				$nachricht =~ s/<br>/ <br>/g;
				my @words = split(/ /, $nachricht);
				foreach (@words) {
					if (length($_) > $wort_begrenzung) {
						$_ = substr($_, 0, $wort_begrenzung);
					}
				}
				$nachricht = join(' ', @words);

			}
		}
print "<BACKGROUND=\"$background\">";

		if ($smile_ers == 1) {
			@SMILIES = (":-)&sect;$smile_1", ";-)&sect;$smile_2", ":-O&sect;$smile_3", ";-O&sect;$smile_4", ":-D&sect;$smile_5", ";-D&sect;$smile_5", ":-Q&sect;$smile_6",
					";-Q&sect;$smile_6", ":-q&sect;$smile_6", ";-q&sect;$smile_6", ":)&sect;$smile_7", ";)&sect;$smile_7", ":o&sect;$smile_8", ";o&sect;$smile_8",
					":-(&sect;$smile_11", ";-(&sect;$smile_12", ":-I&sect;$smile_13", ";-I&sect;$smile_13", ":-|&sect;$smile_13", ";-|&sect;$smile_13");

			foreach $smile_var (@SMILIES) {
				($smile, $addr) = split(/&sect;/, $smile_var);
				$nachricht =~ s/\Q$smile\E/$addr/g;
			}
		}
		($datum, $zeit) = split(/=/, $date);
		print "<!-- Beitrag NR $num -->\n";
		print "<br><br>\n<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=\"$t_width\">\n<tr>\n<td BGCOLOR=\"$t_bord_c\">";
print "<BACKGROUND=\"$background\">";
                                print "<table BORDER=0 CELLPADDING=2 WIDTH=\"100%\" CELLSPACING=1>\n<tr>\n<td BGCOLOR=\"$t_kopf_c\">";
print "<BACKGROUND=\"$background\">";
		print "<table BORDER=0 CELLPADDING=0 WIDTH=\"100%\" CELLSPACING=0>\n<tr>\n<td width=\"55%\">";
		print "<font face=\"$font_f\" size=\"$font_s\">($num)&nbsp;&nbsp;&nbsp;";
		if ($email ne "x") { print "<a href=\"mailto:$email\">$name</a></font>\n";}
		else { print "$name</font>\n";}
        if ($url ne "x") { print "&nbsp;&nbsp;&nbsp<a href=\"$url\" target=\"_blank\"><font face=\"$h_font_f\" size=\"$h_font_s\" color=\"$h_font_c\">Homepage</a></font>";}
		if ($ausg_ip == 1) {print "&nbsp;&nbsp;&nbsp;<a href=\"$scriptname?action=ip_anzeigen&beitrag=$num\"><font face=\"$h_font_f\" size=\"$h_font_s\" color=\"$h_font_c\">IP gespeichert</a></font>\n";}
		print "</td>\n<td width=\"45%\"><div align=right><font face=\"$font_f\" size=\"$font_s\">$datum ";
		if ($ausg_time == 1) {print "- $zeit ";}
		print "</font></div>\n</td>\n</tr>\n</table>\n</td>\n</tr>";
		print "<tr>\n<td BGCOLOR=\"$t_body_c\"><table BORDER=0 CELLPADDING=5 WIDTH=\"100%\" CELLSPACING=0>\n";
print "<BACKGROUND=\"$background\">";
		print "<tr>\n<td>\n<font face=\"$font_f\" size=\"$font_s\">$nachricht</font></td>\n</tr>\n<tr>\n<td BGCOLOR=\"$t_body_c\">";
print "<BACKGROUND=\"$background\">";
		print "<div align=right><b><a href=\"$scriptname?action=loeschen_beitrag&beitrag=$num\"><font face=\"$l_font_f\" size=\"$l_font_s\" color=\"$l_font_c\">l&ouml;schen</a></b></font>\n";
		if ($ausg_com == 1) {print "- <b><a href=\"$scriptname?comment=$num\"><font face=\"$l_font_f\" size=\"$l_font_s\" color=\"$l_font_c\">Beitrag kommentieren</a></b></font>";}
		print "</div></td>\n</tr>\n</table>\n";
		print "</td>\n</tr>\n<!-- comment NR $num -->";
		if ($ausg_com == 1) {
			if ($com_anzahl != 0) {
				$i = 1;
				@comm = split(/&sect;&sect;/, $comments);
				while ($i <= $com_anzahl) {
					($com_nr, $com_name, $com_email, $com_date, $com_comment) = split(/==/, $comm[$i]);
					if ($bad_word == 1) {
						foreach $badwort (@bad_word_list) {$com_comment =~ s/$badwort/***/gi;}
					}
					if ($html_on == 0) {
						$com_comment =~ s/\Q<br>\E/#zeum#/g;
						$com_comment =~ s/<([^>]|\n)*>//g;
						$com_comment =~ s/\Q#zeum#\E/<br>/g;
					}

					if ($wort_begrenzung != 0) {
						unless ($com_comment =~ m!http|img|href|htm|pl|cgi!g) {
							$com_comment =~ s/<br>/ <br>/g;
							my @words = split(/ /, $com_comment);
							foreach (@words) {
								if (length($_) > $wort_begrenzung) {
									$_ = substr($_, 0, $wort_begrenzung);
									}
							}
							$com_comment = join(' ', @words);

						}
					}

					if ($smile_ers == 1) {
						foreach $smile_var (@SMILIES) {
						($smile, $addr) = split(/&sect;/, $smile_var);
						$com_comment  =~ s/\Q$smile\E/$addr/g;
						}
					}

					print "<tr><td BGCOLOR=\"$t_body_c\">\n";
print "<BACKGROUND=\"$background\">";
					print "<font face=\"$font_f\" size=\"$font_s\">Kommentar\n";
					if ($com_email ne "x") { print "von<a href=\"mailto:$com_email\">$com_name<\/a>am\n";}
					else { print "von $com_name\n";}
					print "$com_date - </font><a href=\"$scriptname?action=loeschen_comment&beitrag=$num&comment=$com_nr\"><b><font face=\"$l_font_f\" size=\"$l_font_s\" color=\"$l_font_c\">l&ouml;schen</a></b></font>\n<p>\n";
					print "<font face=\"$font_f\" size=\"$font_s\">$com_comment<\/font><\/td><\/tr>\n";
					$i++;
				}
			}
		}
		print "\n</table>\n</td>\n</tr>\n</table>\n<!-- Ende NR $num -->\n\n";
		}

		$zeile++;

	}

	if ($index_unten == 1) {
	print "<br><table border=0 cellspacing=0 cellpadding=0 width=\"$t_width\">\n<tr><td align=right>";
	print "<font face=\"$font_f\" size=\"$font_s\">Seite ";
	$var = 0;
	while ($var < $k3) {
		$var++;
		if ($var != $string_wert1) {print "<a href=\"$scriptname?seite=$var&anzahl=$anzahl\">$var</a> ";}
		else {print "$var ";}
	}
	print "</font></td>\n</tr>\n</table>";
	print "\n\n";
	}
print "<BACKGROUND=\"$background\">";
	print "<center><br><font face=\"$font_f\" size=\"$font_s\">\n<b><a href=\"$scriptname?action=eintrag&x=x&x=x\">Eintrag hinzuf&uuml;gen</a></b></font></center><br></center>\n";
	if ($link_name) {
		print "<center>\n<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=\"$t_width\">\n<tr>\n";
		print "<td><font face=\"$font_f\" size=\"$font_s\"><a href=\"$link_hp\">$link_name</a>";
		print "</td>\n</tr>\n</table>\n</center>\n";
	}
&bottom;
}


sub print_data {
	$erst = "<br><br><br>\n<font face=\"$font_f\" size=\"$font_s\"><b>";
	$dann = "Bitte gehen Sie mit Ihren Back Button von Ihrem Browser zur&uuml;ck,\n";

	if ($pflicht_name == 1) {
		unless ($FORM{'name'}) {
			&top;
			print $erst, "Sie haben vergessen das Namensfeld auszuf&uuml;llen.<br><br><br>\n";
			print $dann, "und f&uuml;llen das Feld aus</b></font>\n</center>\n</body>\n</html>";
			exit;
		}
	}
	if ($pflicht_mail == 1) {
		unless ($FORM{'email'}) {
			&top;
			print $erst, "Sie haben vergessen Ihre eMail einzutragen.<br><br><br>\n";
			print $dann, "und f&uuml;llen das Feld aus</b></font>\n</center>\n</body>\n</html>";
			exit;
		}
		unless ($FORM{'email'} =~ /.*\@.*\..*/) {
			&top;
			print $erst, "Sie haben eine ung&uuml;ltige eMail Adresse eingetragen.<br><br><br>\n";
			print $dann, "und f&uuml;llen das Feld richtig aus</b></font></center>\n</body>\n</html>\n";
			exit;
		}
	}
	elsif ($pflicht_mail == 0 and $FORM{'email'}) {
		unless ($FORM{'email'} =~ /.*\@.*\..*/) {
			&top;
			print $erst, "Sie haben eine ung&uuml;ltige eMail Adresse eingetragen.<br><br><br>\n";
			print $dann, "und f&uuml;llen das Feld richtig aus</b></font></center>\n</body>\n</html>\n";
			exit;
		}
	}
	if ($pflicht_beitrag == 1) {
		unless ($FORM{'nachricht'}) {
			&top;
			print $erst, "Sie haben vergessen das Kommentarfeld auszuf&uuml;llen.<br><br><br>\n";
			print $dann, "und f&uuml;llen das Feld aus</b></font></center>\n</body>\n</html>\n";
			exit;
		}
	}
	if ($pflicht_url == 1) {
		unless ($FORM{'url'}) {
			&top;
			print $erst, "Sie haben vergessen Ihre Homepage URL einzutragen.<br><br><br>\n";
			print $dann, "und f&uuml;llen das Feld aus</b></font></center>\n</body>\n</html>\n";
			exit;
		}
		if ($FORM{'url'} eq "http://") {
			&top;
			print $erst, "Sie haben vergessen Ihre Homepage URL einzutragen.<br><br><br>\n";
			print $dann, "und f&uuml;llen das Feld aus</b></font></center>\n</body>\n</html>\n";
			exit;
		}
	}


	unless ($FORM{'name'}) {$FORM{'name'} = "Anonym";}
	unless ($FORM{'email'}) {$FORM{'email'} = "x";}
	unless ($FORM{'nachricht'}) {$FORM{'nachricht'} = "";}


	$FORM{'nachricht'} =~ s/\n/<br>/gs;

	$FORM{'nachricht'}	=~ s/&/und/gs;
	$FORM{'name'}		=~ s/&/und/gs;
	$FORM{'email'}		=~ s/&/und/gs;


	open(FILE, "$data_log");
	@FILE = <FILE>;
	close(FILE);

	($num, $name, $email, $url, $nachricht, $gif, $date, $ip, $com_anzahl, $comments) = split(/&&/, $FILE[1]);

	$next_num = $num + 1;

	unless ($FORM{'url'}) {$url = "x";}
	if ($FORM{'url'}) {
		$url = $FORM{'url'};
		$url =~ s/&&/*/gs;
	}
	if ($FORM{'url'} eq "http://") {$url = "x";}

	open(FILE, ">$data_log");
	print FILE "\n$next_num&&$FORM{'name'}&&$FORM{'email'}&&$url&&$FORM{'nachricht'}&&$gen_gif.gif&&$gen_date=$time&&$ENV{'REMOTE_ADDR'}&&0&&comment";
	print FILE @FILE;
	close FILE;

	&top;
print "<BACKGROUND=\"$background\">";
	print "<br><br><br>\n<center><font face=\"$font_f\" size=\"$font_s\">Vielen Dank, f&uuml;r den Eintrag in mein G&auml;stebuch.\n";
	print "<br><br><b><a href=\"$scriptname?seite=1&anzeigen=10\">G&auml;stebuch ansehen</a><b>\n</center>\n</body>\n</html>\n";
	&sendmail;
exit;
}


sub date {

	@days = ('Sonntag','Montag','Dienstag','Mittwoch','Donnerstag','Freitag','Samstag');
	@months = ('Januar','Februar','M&auml;rz','April','Mai','Juni','Juli',
				'August','September','Oktober','November','Dezember');

	($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime(time+($tzone*3600));
	$jahr = 1900 + $year;
	$gen_date = "$days[$wday], $mday. $months[$mon] $jahr";
	$date_klein = "$mday. $months[$mon] $jahr";
	if ($sec < 10) {$sec = "0$sec";}
	if ($min < 10) {$min = "0$min";}
	if ($hour < 10) {$hour = "0$hour";}

	$time = "$hour:$min:$sec Uhr";
}


sub send_com {

	if ($open_com == 0) {
		unless ($FORM{'name'} or $FORM{'password'}) {
			&top;
print "<BACKGROUND=\"$background\">";
			print "<br><br><br><font face=\"$font_f\" size=\"$font_s\">";
			print "Beitrag kommentieren.</font><br>\n";
			print "<br><form action=\"$scriptname\" method=post>\n";
			if ($FORM{'beitrag'}) {print "<input type=hidden name=\"beitrag\" value=\"$FORM{'beitrag'}\">\n";}
			else {print "<input type=hidden name=\"beitrag\" value=\"$string_wert1\">\n";}
			print "<input type=hidden name=\"action\" value=\"kommentieren\">\n";
			print "<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=\"350\"><tr><td width=\"20%\">\n";
			print "<font face=\"$font_f\" size=\"$font_s\">Name</font></td><td width=\"70%\"><input type=\"text\" name=\"name\" size=20></td></tr>\n";
			print "<tr><td><br></td><td><br></td></tr>\n";
			print "<tr><td><font face=\"$font_f\" size=\"$font_s\">Passwort</font></td>\n";
			print "<td><input type=\"password\" name=\"password\" size=20><br></td></tr>\n";
			print "<tr><td><br></td><td><br></td></tr>\n";
			print "<tr><td></td><td><input type=submit value=\"Abschicken\"> <input type=reset value=\"L&ouml;schen\"></form></td></tr>\n";
			print "</table>\n<br>\n<br>\n<br>\n<br>\n";
			&bottom;
		}
	&zugang;
	}

	if ($open_com == 1) {&top;}
print "<BACKGROUND=\"$background\">";
	print "<br><br><br><font face=\"$font_f\" size=\"$font_s\">Kommentar zu einem G&auml;stebucheintrag.</font><br>\n";
	print "<form action=\"$scriptname\" method=post>\n";
	print "<input type=hidden name=\"action\" value=\"comment\">\n";
	if ($open_com == 1) {print "<input type=hidden name=\"nummer\" value=\"$string_wert1\">\n";}
	else {print "<input type=hidden name=\"nummer\" value=\"$FORM{'beitrag'}\">\n";}
	print "<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=\"550\"><tr><td width=\"20%\">\n";
	print "<font face=\"$font_f\" size=\"$font_s\">Name</font></td><td width=\"70%\"><input type=\"text\" name=\"com_name\" size=40></td></tr>\n";
	print "<tr><td><br></td><td><br></td></tr>\n";
	print "<tr><td><font face=\"$font_f\" size=\"$font_s\">eMail</font></td>\n";
	print "<td><input type=\"text\" name=\"com_email\" size=40><br></td></tr>\n";
	print "<tr><td><br></td><td><br></td></tr>\n";
	print "<tr><td><font face=\"$font_f\" size=\"$font_s\">Kommentar</font></td>\n";
	print "<td><textarea name=\"comment\" rows=5 cols=38></TEXTAREA></td></tr>";
	print "<tr><td><br></td><td><br></td></tr>\n";
	print "<tr><td></td><td><input type=submit value=\"Abschicken\"> <input type=reset value=\"L&ouml;schen\"></form></td></tr>\n";
	print "</table><br><br><br>\n";

	&bottom;
}

sub top {

        print "<html>\n<head>\n<title>$titel</title>\n</head>\n";
         print "<body text=\"$font_c\" bgcolor=\"$bgcolor\" BACKGROUND=\"$background\"  link=\"$link_c\" vlink=\"$link_a_c\" alink=\"#66FFFF\">\n";
print "<BACKGROUND=\"$background\">";
print "<center>\n<a href=\"http://127.0.0.1/\">\n<br>\n";
        print "<font face=\"Book Antiqua\" size=1><b></font></a>\n";


}


sub bottom {
	print "<center><br>";
print "<BACKGROUND=\"$background\">";
	print "<font face=\"Verdana,Tahoma,Arial\" size=1><b>&copy; Copyright by <a href=\"mailto:gaestebuch\@speicherhosting.com\">SPEICHERHOSTING </a>\n";
	print "2002<br> <a href=\"http://www.speicherhosting.com/\" target=\"_blank\">SPEICHERHOSTING Guestbook V1.0</a></font></center>\n\n";
	print "</BODY></HTML>\n\n";
exit;
}

sub print_com {
	$erst = "<br><br><br>\n<font face=\"$font_f\" size=\"$font_s\"><b>";
	$dann = "Bitte gehen Sie mit Ihren Back Button von Ihrem Browser zur&uuml;ck,\n";

	if ($pflicht_com_name == 1) {
		unless ($FORM{'com_name'}) {
			&top;
print "<BACKGROUND=\"$background\">";
			print $erst, "Sie haben vergessen das Namensfeld auszuf&uuml;llen.<br><br><br>\n";
			print $dann, "und f&uuml;llen das Feld aus</b></font>\n</center>\n</body>\n</html>\n";
			exit;
		}
	}
	if ($pflicht_com_mail == 1) {
		unless ($FORM{'com_email'}) {
			&top;
print "<BACKGROUND=\"$background\">";
                                                print $erst, "Sie haben vergessen Ihre eMail Adresse einzutragen.<br><br><br>\n";
			print $dann, "und f&uuml;llen das Feld aus</b></font>\n</center>\n</body>\n</html>";
			exit;
		}
		unless ($FORM{'com_email'} =~ /.*\@.*\..*/) {
			&top;
print "<BACKGROUND=\"$background\">";

			print $erst, "Sie haben eine ung&uuml;ltige eMail Adresse eingetragen.<br><br><br>\n";
			print $dann, "und f&uuml;llen das Feld richtig aus</b></font>\n</center>\n</body>\n</html>";
			exit;
		}
	}
	elsif ($pflicht_com_mail == 0 and $FORM{'com_email'}) {
		unless ($FORM{'com_email'} =~ /.*\@.*\..*/) {
			&top;
print "<BACKGROUND=\"$background\">";

			print $erst, "Sie haben eine ung&uuml;ltige eMail Adresse eingetragen.<br><br><br>\n";
			print $dann, "und f&uuml;llen das Feld richtig aus</b></font>\n</center>\n</body>\n</html>";
			exit;
		}
	}
	if ($pflicht_com_com == 1) {
		unless ($FORM{'comment'}) {
			&top;
print "<BACKGROUND=\"$background\">";

			print $erst, "Sie haben vergessen das Kommentarfeld auszuf&uuml;llen.<br><br><br>\n";
			print $dann, "und f&uuml;llen das Feld aus</b></font>\n</center>\n</body>\n</html>";
			exit;
		}
	}

	unless ($FORM{'com_name'}) {$FORM{'com_name'} = "Anonym";}
	unless ($FORM{'com_email'}) {$FORM{'com_email'} = "x";}
	unless ($FORM{'comment'}) {$FORM{'comment'} = "";}

$FORM{'comment'} =~ s/\n/<br>/gs;

$FORM{'comment'}	=~ s/&&/und/gs;
$FORM{'com_name'}	=~ s/&&/und/gs;
$FORM{'com_email'}	=~ s/&&/und/gs;
$FORM{'comment'}	=~ s/&sect;&sect;/*/gs;
$FORM{'com_name'}	=~ s/&sect;&sect;/*/gs;
$FORM{'com_email'}	=~ s/&sect;&sect;/*/gs;


	open(LOG,"$data_log");
	@NEU = <LOG>;
	close(LOG);

open(FILE, "$data_log") || die "Kann die Datei nicht &ouml;ffnen\n";

		$i = 1;

	while(<FILE>) {
		chop;
		@all = split(/\n/);

		foreach $line (@all) {
			($num, $name, $email, $url, $nachricht, $gif, $date, $ip, $com_anzahl, $comments) = split(/&&/, $line);

			if ($num == $FORM{'nummer'}) {
				$com_anzahl++;
				$NEU[$i] = "$num&&$name&&$email&&$url&&$nachricht&&$gif&&$date&&$ip&&$com_anzahl&&$comments&sect;&sect;comment$com_anzahl==$FORM{'com_name'}==$FORM{'com_email'}==$date_klein==$FORM{'comment'}\n";
				$antwort_com_mail = $email;
				$antwort_com_nach = $nachricht;
				$antwort_com_name = $name;
				if (($email ne "x") and ($send_antwort_com == 1)) {&send_antwort;}
			}
			$i++;
		}
	}

close(FILE);

	open(FILE, ">$data_log");
	print FILE @NEU;
	close FILE;

	&top;
print "<BACKGROUND=\"$background\">";

	print "<br><br><br><center><font face=\"$font_f\" size=\"$font_s\">Vielen Dank, f&uuml;r den Kommentar.\n";
	print "<br><br><br><a href=\"$scriptname?seite=1&anzeigen=10\">G&auml;stebuch ansehen</a>\n</center>\n</body>\n</html>";
	exit;
}

sub send_comment_loeschen {
	&top;
print "<BACKGROUND=\"$background\">";

	print "<br><br><br><font face=\"$font_f\" size=\"$font_s\">";
	if ($string_wert1 eq "loeschen_comment") {print "Kommentar zu einem G&auml;stebucheintrag l&ouml;schen.</font><br>\n";}
	if ($string_wert1 eq "loeschen_beitrag") {print "G&auml;stebucheintrag l&ouml;schen.</font><br>\n";}
	print "<br><form action=\"$scriptname\" method=post>\n";
	print "<input type=hidden name=\"action\" value=\"";
	if ($string_wert1 eq "loeschen_comment") {print "comment_loeschen\">\n";}
	if ($string_wert1 eq "loeschen_beitrag") {print "beitrag_loeschen\">\n";}
	print "<input type=hidden name=\"beitrag\" value=\"$string_wert2\">\n";
	if ($string_wert1 eq "loeschen_comment") {print "<input type=hidden name=\"comment\" value=\"$string_wert3\">\n";}
	print "<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=\"350\"><tr><td width=\"20%\">\n";
	print "<font face=\"$font_f\" size=\"$font_s\">Name</font></td><td width=\"70%\"><input type=\"text\" name=\"name\" size=20></td></tr>\n";
	print "<tr><td><br></td><td><br></td></tr>\n";
	print "<tr><td><font face=\"$font_f\" size=\"$font_s\">Passwort</font></td>\n";
	print "<td><input type=\"password\" name=\"password\" size=20><br></td></tr>\n";
	print "<tr><td><br></td><td><br></td></tr>\n";
	print "<tr><td></td><td><input type=submit value=\"Abschicken\"> <input type=reset value=\"L&ouml;schen\"></form></td></tr>\n";
	print "</table>\n<br>\n<br>\n<br>\n<br>\n";

	&bottom;
}

sub zugang {
	my $mail_bad_usr = shift;
	&top;
print "<BACKGROUND=\"$background\">";

	$br = "<br>\n" x 5;
	$kein_zugang = "$br\n<font face=\"$font_f\" size=\"$font_s\"><b>Zugang verweigert !!!</b></font>";

	unless ($FORM{'name'}) {
print "<BACKGROUND=\"$background\">";

		print "$kein_zugang\n";
		print "</center>\n</body>\n</html>\n";
		exit;
	}
	unless ($FORM{'password'}) {
print "<BACKGROUND=\"$background\">";

		print "$kein_zugang\n";
		print "</center>\n</body>\n</html>\n";
		exit;
	}
	if ($FORM{'name'} ne $user_name) {
print "<BACKGROUND=\"$background\">";

		print "$kein_zugang\n";
print "<BACKGROUND=\"$background\">";

		if ($mail_bad_usr eq "ja") {&mail_bad_user;}
		print "</center>\n</body>\n</html>\n";
		exit;
	}
	if ($FORM{'password'} ne $user_pwd) {
print "<BACKGROUND=\"$background\">";

		print "$kein_zugang\n";
		if ($mail_bad_usr eq "ja") {&mail_bad_user;}
		print "</center>\n</body>\n</html>\n";
		exit;
	}
}

sub comment_loeschen {
	&zugang('ja');

	open(LOG,"$data_log");
	@NEU = <LOG>;
	close(LOG);

	open(FILE, "$data_log") || die "Kann die Datei nicht &ouml;ffnen\n";

	$i = 1;

	while(<FILE>) {
		chop;
		@all = split(/\n/);

		foreach $line (@all) {
			($num, $name, $email, $url, $nachricht, $gif, $date, $ip, $com_anzahl, $comments) = split(/&&/, $line);

			if ($num == $FORM{'beitrag'}) {
			$k = 1;
			@comm = split(/&sect;&sect;/, $comments);
			while ($k <= $com_anzahl) {
				($com_nr, $com_name, $com_email, $com_date, $com_comment) = split(/==/, $comm[$k]);
				if ($FORM{'comment'} eq "$com_nr") {
					$neu_com_anzahl = $com_anzahl - 1;
					$alles = "&sect;&sect;$com_nr==$com_name==$com_email==$com_date==$com_comment";
					$zeile = $i;
					$erst = "$num&&$name&&$email&&$url&&$nachricht&&$gif&&$date&&$ip&&$com_anzahl&&";
					$dann = "$num&&$name&&$email&&$url&&$nachricht&&$gif&&$date&&$ip&&$neu_com_anzahl&&";
					print "<br><br><br>\n<font face=\"$font_f\" size=\"$font_s\"><b>Kommentar Nr. $k vom Beitrag Nr. $num gel&ouml;scht.</b></font><br>\n";
				}

				$k++;
			}
			}
			$i++;
		}
	}

	close(FILE);
	$NEU[$zeile] =~ s/\Q$alles\E//gs;
	$NEU[$zeile] =~ s/\Q$erst\E/$dann/gs;
	open(FILE, ">$data_log");
	print FILE @NEU;
	close FILE;
print "<BACKGROUND=\"$background\">";

	print "<br><br>\n<font face=\"$font_f\" size=\"$font_s\">\n";
	print "<a href=\"$scriptname\">Zur&uuml;ck zum G&auml;stebuch</a></font>\n</center>\n</body>\n</html>\n";
	exit;
}

sub ip_anzeigen {
	open(FILE, "$data_log");
	@FILE = <FILE>;
	close(FILE);
	&top;
	foreach $line (@FILE) {
		($num, $name, $email, $url, $nachricht, $gif, $date, $ip, $com_anzahl, $comments) = split(/&&/, $line);
		if ($string_wert2 == $num) {
			($datum, $zeit) = split(/=/, $date);
print "<BACKGROUND=\"$background\">";

			print "<br><br><br><table cellspacing=0 cellpadding=0 width=\"220\">\n";
			print "<tr>\n<td><font face=\"$font_f\" size=\"$font_s\">Ip anzeigen vom Beitrag Nr.$num\n";
			print "<br><br>IP : $ip\n";
			print "<br>Datum : $datum\n";
			print "<br>Uhrzeit : $zeit\n";
			print "</td>\n</tr>\n</table>\n</center>\n</body>\n</html>";
		}
	}

	exit;
}

sub beitrag_loeschen {
	&zugang('ja');

	open(FILE, "$data_log");
	@FILE = <FILE>;
	close(FILE);

	$i = 0;

		foreach $line (@FILE) {
			($num, $name, $email, $url, $nachricht, $gif, $date, $ip, $com_anzahl, $comments) = split(/&&/, $line);
			if ($FORM{'beitrag'} == $num) {
				print "<br><br><br>\n<font face=\"$font_f\" size=\"$font_s\"><b>Beitrag Nr. $num gel&ouml;scht!</b></font>\n";
				$loeschen = $line;
				$k = $i;
			}
			$i++;
		}
	$FILE[$k] =~ s/\Q$loeschen\E//gs;
	open(FILE, ">$data_log");
	print FILE @FILE;
	close(FILE);
	&sortieren;
print "<BACKGROUND=\"$background\">";

	print "<br><br>\n<font face=\"$font_f\" size=\"$font_s\"><a href=\"$scriptname\">Zur&uuml;ck\n";
	print "zum G&auml;stebuch</a></center>\n</body>\n</html>";
	exit;
}


sub sortieren {
	open(FILE, "$data_log");
	$i = 0;
	while(<FILE>) {$i++;}
	close(FILE);

	open(FILE, "$data_log");
	@FILE = <FILE>;
	close(FILE);
	$k = 0;
		foreach $line (@FILE) {
			if ($line) {
				($num, $name, $email, $url, $nachricht, $gif, $date, $ip, $com_anzahl, $comments) = split(/&&/, $line);
				$num = $i;
			}
			$NEU[$k] = "$i&&$name&&$email&&$url&&$nachricht&&$gif&&$date&&$ip&&$com_anzahl&&$comments";
			$i--;
			$k++;
		}
	$NEU[0] = "\n";

	open(FILE, ">$data_log");
	print FILE @NEU;
	close(FILE);
print "<BACKGROUND=\"$background\">";

	print "<br><br><br>\n<font face=\"$font_f\" size=\"$font_s\"><b>", $k - 1, " Beitr&auml;ge neu geordnet.</b>\n";
}

sub send_beitrag {
	&top;

	print "<br><br><br><font face=\"$font_f\" size=\"$font_s\">Einen neuen G&auml;stebucheintrag hinzuf&uuml;gen.</font><br>\n";
	print "<form action=\"$scriptname\" method=post>\n";
	print "<input type=hidden name=\"action\" value=\"action\">\n";
	print "<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=\"550\"><tr><td width=\"20%\">\n";
	print "<font face=\"$font_f\" size=\"$font_s\">Name</font></td><td width=\"70%\"><input type=\"text\" name=\"name\" size=40></td></tr>\n";
	print "<tr><td><br></td><td><br></td></tr>\n";
	print "<tr><td><font face=\"$font_f\" size=\"$font_s\">URL zu Ihrer Homepage</font></td>\n";
	print "<td><input type=\"text\" name=\"url\" size=40 value=\"http://\"><br></td></tr>\n";
	print "<tr><td><br></td><td><br></td></tr>\n";
	print "<tr><td><font face=\"$font_f\" size=\"$font_s\">eMail</font></td>\n";
	print "<td><input type=\"text\" name=\"email\" size=40><br></td></tr>\n";
	print "<tr><td><br></td><td><br></td></tr>\n";
	print "<tr><td><font face=\"$font_f\" size=\"$font_s\">Kommentar</font></td>\n";
	print "<td><textarea name=\"nachricht\" rows=5 cols=38></TEXTAREA></td></tr>";
	print "<tr><td><br></td><td><br></td></tr>\n";
	print "<tr><td></td><td><input type=submit value=\"Abschicken\"> <input type=reset value=\"L&ouml;schen\"></form></td></tr>\n";
	print "</table><br><br><br>\n";

	&bottom;
}

print "<BACKGROUND=\"$background\">";

print "<font face=\"$font_f\" size=\"$font_s\">Ein unerwarteter Fehler ist aufgetreten,<br>bitte klicken Sie <a href=\"$scriptname?seite=1&anzeigen=10\">hier</a> drauf!";
sub sendmail {
if ($back_email == 1) {
	if ($FORM{'email'} ne "x") {my $mail = $FORM{'email'};}
	else {my $mail = $send;}
	open(MAIL, "| /usr/sbin/sendmail -t -i -f otto\@heimatkreis-stargard.de") || die "I can't open Mail Program\n";
	print MAIL "From: $FORM{'name'} <$mail>\n";
	print MAIL "To: $send\n";
	print MAIL "Subject: Neuer G&auml;stebucheintrag!\n";
	print MAIL "$mail_info_webmaster";
	close(MAIL);
}

if ($usr_mail == 1) {
	if ($FORM{'email'} ne "x") {
		open (MAIL, "| $mailprog -t") || die "Can't open $mailprog!\n";
		print MAIL "From: $titel <$send>\n";
		print MAIL "To: $FORM{'name'} <$FORM{'email'}>\n";
		print MAIL "Subject: Danke f&uuml;r den G&auml;stebucheintrag!\n";
		print MAIL "$mail_antwort_user";
		close(MAIL);
	}

}
}

sub mail_bad_user {
	if ($mail_badus == 1) {
		open (MAIL, "| $mailprog -t") || die "Can't open $mailprog!\n";
		print MAIL "From: $titel <$send>\n";
		print MAIL "To: Webmaster <$send>\n";
		print MAIL "Subject: Unberechtigter Zugriff !\n";
		print MAIL "Ein User hat versucht einen";
		if ($FORM{'action'} eq "comment_loeschen") {print MAIL " Kommentar";}
		if ($FORM{'action'} eq "beitrag_loeschen") {print MAIL " Beitrag";}
		print MAIL " zu l&ouml;schen.\n\n\n";
		print MAIL "Datum   : $gen_date\n";
		print MAIL "Uhrzeit : $time\n";
		print MAIL "IP Adresse des Users : $ENV{'REMOTE_ADDR'}\n\n";
		print MAIL "Der User wollte sich mit der ID \"$FORM{'name'}\",\n";
		print MAIL "und dem Passwort \"$FORM{'password'}\" einloggen, was nicht geschafft wurde.\n\n";
		print MAIL "Der User hat es auf den";
		if ($FORM{'action'} eq "comment_loeschen") {print MAIL " Kommentar Nr. $FORM{'comment'} im Beitrag Nr. $FORM{'beitrag'}";}
		if ($FORM{'action'} eq "beitrag_loeschen") {print MAIL " Beitrag Nr. $FORM{'beitrag'}";}
		print MAIL " abgesehen.\n\nVielen Dank, da&szlig; Sie dieses G&auml;stebuch benutzen.\n\n";
		close(MAIL);
	}
}

sub send_antwort {
	open (MAIL, "| $mailprog -t") || die "Can't open $mailprog!\n";
	print MAIL "From: $titel <$send>\n";
	print MAIL "To: $antwort_com_name <$antwort_com_mail>\n";
	print MAIL "Subject: Kommentar zu Ihren G&auml;stebucheintrag!\n";
               print MAIL "<br><br><br><table cellspacing=0 cellpadding=0 width=\"220\">\n";
			print MAIL "<tr>\n<td><font face=\"$font_f\" size=\"$font_s\">Ip anzeigen vom Beitrag Nr.$num\n";
			print MAIL "<br><br>IP : $ip\n";
			print MAIL "<br>Datum : $datum\n";
			print MAIL "<br>Uhrzeit : $zeit\n";
			print MAIL "</td>\n</tr>\n</table>\n</center>\n</body>\n</html>";
		print MAIL "Hallo $antwort_com_name,\n\n";
	print MAIL "$FORM{'com_name'} hat zu Ihren Gstebucheintrag einen Kommentar abgeschickt.\n\n";
	print MAIL "Ihr Beitrag lautete:\n$antwort_com_nach\n\n";
	print MAIL "$FORM{'com_name'} antwortete darauf:\n$FORM{'comment'}\n\n\n";
	print MAIL "Hier knnen Sie es nochmal nachlesen: $url_guestbook\n\n";
	print MAIL "Mit freundlichen Grssen\n$titel\n";
	close(MAIL);
}
